<?php
if (empty($_REQUEST["id"])) {
header('Location: https://anikets.webdev.iyaserver.com/acad276/Midterm/search.php');
exit();
}

$host = "webdev.iyaserver.com";
$userid = "dent_guest";
$userpw = "Acad276_Dev2Ex@m";
$db = "dent_exam";

$mysql = new mysqli(
    $host,
    $userid,
    $userpw,
    $db
);

if($mysql->connect_errno) {
    echo "db connection error : " . $mysql->connect_error;
    exit();
}

$sql = "SELECT * FROM devices WHERE device_id=" . $_REQUEST["id"];

//echo "<hr>SQL: <br>" . $sql . "<hr>";

$results = $mysql->query($sql);

if(!$results) {
    echo "<hr>Your SQL:<br> " . $sql . "<br><br>";
    echo "SQL Error: " . $mysql->error . "<hr>";
    exit();
}

$currentrow = $results->fetch_assoc();

if (!$currentrow) {
    echo "No device found.";
    exit();
}

// Retrieve manufacturer, system, and type names based on their IDs
$manufacturerId = $currentrow["manufacturer_id"];
$systemId = $currentrow["system_id"];
$typeId = $currentrow["type_id"];

// Fetch the manufacturer name
$manufacturerQuery = "SELECT name FROM manufacturers WHERE id = ?";
$manufacturerName = $mysql->query($manufacturerQuery);

if(!$manufacturerName) {
    echo "SQL error: ". $mysql->error;
    exit();
}

// Fetch the system name
$systemQuery = "SELECT name FROM systems WHERE id = ?";
$systemName = $mysql->query($systemQuery);

if(!$systemName) {
    echo "SQL error: ". $mysql->error;
    exit();
}

// Fetch the type name
$typeQuery = "SELECT name FROM types WHERE id = ?";
$typeName = $mysql->query($typeQuery);

if(!$typeName) {
    echo "SQL error: ". $mysql->error;
    exit();
}
?>
<html>
<head lang="en">
    <meta charset="UTF-8">
    <title>Acad276 Practical Exam: Details</title>
    <style>
        .container {
            width:  800px;
            margin: auto;
        }
        h1 {
            margin: auto;
            text-align: center;
            background-color:   #900;
            color:  #FC0;
            height: 60px;
            line-height: 60px;
        }
        .details {
            border:     1px solid #990000;
            width:      600px;
            margin:     auto;
            margin-top: 20px;
            padding:    20px;
        }
        table {
            height: 300px;
            width:      100%;
        }
        table img {
            height: 300px;

        }
        img {
            width: 300px;

        }
        .label {
            text-align: right;
            width:      20%;
            padding:    3px 10px 3px;
        }
        .data {
            width: 40%;
        }
        .input>input, .input>select {
            width:  100%;
        }
        .nav-link{
            margin: 10px 0px;
            font-size: 14px;
        }
    </style>
</head>
<body>
<div class="container">
    <h1>Mobile Device Database: Details Page</h1>
    <div class="nav-link">
        <a href="search.php"><< Back to Search Page</a>
    </div>

    <div class="details">
        <table>
            <tr>
                <td rowspan="5" class="img">
                    <img src="https://image.shutterstock.com/image-vector/vector-sketch-illustration-human-hand-260nw-605728496.jpg" class="img">
                </td>
            </tr>
            <tr>
                <td class="label">Name:</td>
                <td class="data"><?php echo $currentrow["name"]; ?></td>
            </tr>
            <tr>
                <td class="label">Price:</td>
                <td class="data"><?php echo $currentrow["price"]; ?></td>
            </tr>
            <tr>
                <td class="label">Manufacturer:</td>
                <td class="data"><?php echo $manufacturerName; ?></td>
            </tr>
            <tr>
                <td class="label">System:</td>
                <td class="data"><?php echo $systemName; ?></td>
            </tr>
            <tr>
                <td class="label">Type:</td>
                <td class="data"><?php echo $typeName; ?></td>
            </tr>
        </table>
    </div>

</div>
</body>
</html>