<?php
if(empty($_REQUEST['manufacturer_id']) || empty($_REQUEST['system_id']) || empty($_REQUEST['type_id'])) {
    echo "Please go through search page.";
    exit();
}

$host = "webdev.iyaserver.com";
$userid = "dent_guest";
$userpw = "Acad276_Dev2Ex@m";
$db = "dent_exam";

$mysql = new mysqli(
    $host,
    $userid,
    $userpw,
    $db
);

if($mysql->connect_errno) {
    echo "db connection error : " . $mysql->connect_error;
    exit();
}

$deviceName = $_REQUEST['device_name'];
$manufacturerId = $_REQUEST['manufacturer_id'];
$systemId = $_REQUEST['system_id'];
$typeId = $_REQUEST['type_id'];

$sql = "SELECT * FROM devices WHERE 1=1";

if ($deviceName != ''){
    $sql .= " AND name LIKE '%$deviceName%'";
}
if ($manufacturerId != '' || $manufacturerId=='all'){
    $sql .= " AND manufacturer_id = $manufacturerId";
}
if ($systemId != '' || $systemId=='all'){
    $sql .= " AND system_id = $systemId";
}
if ($typeId != '' || $typeId=='all'){
    $sql .= " AND type_id = $typeId";
}

$results = $mysql->query($sql);

if ($results === false) {
    echo "SQL error: " . $mysql->error;
    exit();
}

$numResults = $results->num_rows;
?>

<html>

<head lang="en">

    <meta charset="UTF-8">

    <title>Acad276 Practical Exam: Results</title>

    <style>

        .container {

            width:  600px;

            margin: auto;

        }

        h1 {

            margin: auto;

            text-align: center;

            background-color:   #900;

            color:  #FC0;

            height: 60px;

            line-height: 60px;

        }

        .num-results {

            margin: 20px 10px;

        }

        table {

            margin: auto;

            margin-bottom: 20px;

            width:  80%;

            border-collapse: collapse;

        }

        th, td {

            border: 1px solid #900;

            border-collapse: collapse;

            padding:    10px;

            text-align: center;

        }

        img {

            width: 100px;

        }

        .nav-link{

            margin: 10px 0px;

            font-size: 14px;

        }

    </style>

</head>

<body>

<div class="container">

    <h1>Mobile Device Database: Search Results</h1>

    <div class="nav-link">

        <a href="search.php"><< Back to Search Page</a>

    </div>

    <div class="num-results">

        Your search returned

        <?php echo $numResults?>

        results.

    </div>


    <table>
        <tr>
            <th>Name</th>
            <th>Price</th>
            <th>Manufacturer</th>
            <th>System</th>
            <th>Type</th>
        </tr>

        <?php
        // Output the results in table rows
        while ($row = $results->fetch_assoc()) {
            echo "<tr>
                <td><a href='details.php?id=" . $row['device_id'] . "'>" . $row['name'] . "</a></td>
                <td>" . $row['price'] . "</td>
                <td>" . $row['manufacturer_id'] . "</td>
                <td>" . $row['system_id'] . "</td>
                <td>" . $row['type_id'] . "</td>
            </tr>";
        }
        ?>

    </table>

</div>

</body>

</html>